This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 244279 - Fonts are foobared
Fonts are foobared
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 15:53 EDT by Enrico Scholz
Modified: 2008-06-16 21:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2007-06-14 15:53:36 EDT
Description of problem:

Since upgrade to 21.5.28-2, fonts in XEmacs are somehow broken. 'dired' mode
does not display directories as bold anymore and geometry has been changed.

Strange thing is, that after setting fontsize to 10 and then 12 (the default)
back again, geometry is as previous (but there are still no bold fonts).

Starting 'xemacs' on a remote machine which exactly the same configuration shows
old/expected behavior.


Version-Release number of selected component (if applicable):

xemacs-21.5.28-2.fc7


How reproducible:

100%
Comment 1 Ville Skyttä 2007-06-14 16:06:26 EDT
I haven't noticed any changes, and dired does show dirs in bold for me.

There were possibly related changes in 21.5.28 - upstream changed the default to
Lucidatypewriter but I patched it back to Courier for backwards compatibility,
maybe I missed something?  The patch is at
http://cvs.fedora.redhat.com/viewcvs/devel/xemacs/xemacs-21.5.28-courier-default.patch?root=extras&rev=1.1&view=auto

What's your $LANG and rpm -qa "*fonts*" | sort ?  Mine are

$ echo $LANG
en_US.UTF-8

$ rpm -qa "*fonts*" | sort
bitmap-fonts-0.3-5.1.2.fc7.noarch
dejavu-lgc-fonts-2.15-1.noarch
ghostscript-fonts-5.50-16.fc7.noarch
liberation-fonts-0.1-9.fc7.noarch
urw-fonts-2.3-6.1.1.noarch
xorg-x11-fonts-100dpi-7.1-3.fc7.noarch
xorg-x11-fonts-75dpi-7.1-3.fc7.noarch
xorg-x11-fonts-base-7.1-3.fc7.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.1-3.fc7.noarch
xorg-x11-fonts-ISO8859-1-75dpi-7.1-3.fc7.noarch
xorg-x11-fonts-misc-7.1-3.fc7.noarch
xorg-x11-fonts-truetype-7.1-3.fc7.noarch
xorg-x11-fonts-Type1-7.1-3.fc7.noarch
Comment 2 Enrico Scholz 2007-06-15 03:05:01 EDT
See http://ensc.de/bugs/244279/ for screenshots (00-startup is after startup,
and 01-size-change after changing size to 10 and then 12 (Options -> font sizes)).

My LANG is de_DE.UTF-8; setting it to en_US.UTF-8 does not change anything

$ rpm -qa "*fonts*" | sort
VLGothic-fonts-20070328-1.fc7
artwiz-aleczapka-fonts-1.3-5.fc6
bitmap-fonts-0.3-5.1.2.fc7
bitmap-fonts-cjk-0.3-5.1.2.fc7
bitstream-vera-fonts-1.10-7
charis-fonts-4.100-1.fc7
dejavu-fonts-2.17-1.fc7
dejavu-fonts-experimental-2.17-1.fc7
dejavu-lgc-fonts-2.15-1
doulos-fonts-4.0.14-4.fc7
fonts-ISO8859-2-1.0-17.1
fonts-ISO8859-2-100dpi-1.0-17.1
fonts-ISO8859-2-75dpi-1.0-17.1
fonts-KOI8-R-1.0-9.1.1
fonts-KOI8-R-100dpi-1.0-9.1.1
fonts-KOI8-R-75dpi-1.0-9.1.1
fonts-arabic-2.0-5.fc7
fonts-bengali-2.1.5-1.fc7
fonts-chinese-3.03-4.fc7
fonts-gujarati-2.1.5-1.fc7
fonts-hebrew-0.100-4.1.1
fonts-hebrew-fancy-0.20051122-2.fc7
fonts-hindi-2.1.5-1.fc7
fonts-japanese-0.20061016-6.fc7
fonts-kannada-2.1.5-1.fc7
fonts-korean-1.0.11-9.1.1
fonts-malayalam-2.1.5-1.fc7
fonts-oriya-2.1.5-1.fc7
fonts-punjabi-2.1.5-1.fc7
fonts-sinhala-0.2.2-1.fc7
fonts-tamil-2.1.5-1.fc7
fonts-telugu-2.1.5-1.fc7
fonts-truetype-apl-4.20.2-19.fc7
fonts-x11-apl-4.20.2-19.fc7
gentium-fonts-1.02-5.fc7
ghostscript-fonts-5.50-16.fc7
hunky-fonts-0.3.1-4.fc6
jomolhari-fonts-0.003-3.fc7
libdockapp-fonts-0.6.1-2.fc7
linux-libertine-fonts-2.4.9-1.fc7
mathml-fonts-1.0-21.fc6
mgopen-fonts-0.20050515-5.fc6
mplayer-fonts-1.1-4.lvn6
tetex-fonts-3.0-39.fc7
tetex-fonts-hebrew-0.1-7.fc6
tibetan-machine-uni-fonts-1.0-1.fc7
urw-fonts-2.3-6.1.1
xorg-x11-fonts-100dpi-7.1-3.fc7
xorg-x11-fonts-75dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-1-100dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-1-75dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-14-100dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-14-75dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-15-100dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-15-75dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-2-100dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-2-75dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-9-100dpi-7.1-3.fc7
xorg-x11-fonts-ISO8859-9-75dpi-7.1-3.fc7
xorg-x11-fonts-Type1-7.1-3.fc7
xorg-x11-fonts-base-7.1-3.fc7
xorg-x11-fonts-cyrillic-7.1-3.fc7
xorg-x11-fonts-ethiopic-7.1-3.fc7
xorg-x11-fonts-misc-7.1-3.fc7
xorg-x11-fonts-syriac-7.1-3.fc7
xorg-x11-fonts-truetype-7.1-3.fc7
zvbi-fonts-0.2.25-1.fc7

Comment 3 Bug Zapper 2008-05-14 09:05:32 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:35:37 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.